add DXE_DRIVER and UEFI_DRIVER into supported module type list for PciIncompatibleDev...
authorvanjeff <vanjeff@de2fecce-e211-0410-80a6-f3fac2684e05>
Wed, 2 Jul 2008 02:58:38 +0000 (02:58 +0000)
committervanjeff <vanjeff@de2fecce-e211-0410-80a6-f3fac2684e05>
Wed, 2 Jul 2008 02:58:38 +0000 (02:58 +0000)
git-svn-id: https://edk2.tianocore.org/svn/edk2/trunk@5392 de2fecce-e211-0410-80a6-f3fac2684e05

edk2/IntelFrameworkModulePkg/Library/PciIncompatibleDeviceSupportLib/PciIncompatibleDeviceSupportLib.inf

index 473fbed..79bf05e 100644 (file)
@@ -2,7 +2,7 @@
 # PCI Incompatible device support Library\r
 #\r
 # Check PCI incompatible devices and set necessary configuration\r
-# Copyright (c) 2007, Intel Corporation.\r
+# Copyright (c) 2007 - 2008, Intel Corporation.\r
 #\r
 #  All rights reserved. This program and the accompanying materials\r
 #  are licensed and made available under the terms and conditions of the BSD License\r
@@ -20,7 +20,7 @@
   FILE_GUID                      = 1ca1c1f9-5baf-4204-b6e5-5e24109a4e4e\r
   MODULE_TYPE                    = DXE_DRIVER\r
   VERSION_STRING                 = 1.0\r
-  LIBRARY_CLASS                  = PciIncompatibleDeviceSupportLib \r
+  LIBRARY_CLASS                  = PciIncompatibleDeviceSupportLib|DXE_DRIVER UEFI_DRIVER\r
   EDK_RELEASE_VERSION            = 0x00020000\r
   EFI_SPECIFICATION_VERSION      = 0x00020000\r
 \r